<ion-header>
  <ion-toolbar fxLayout="row" fxLayoutAlign="center center">
    <ion-buttons slot="start">
      <ion-button routerLink="/fridge" color="light"><ion-icon name="arrow-back"></ion-icon>Zurück</ion-button>
    </ion-buttons>
    <ion-title style="color: #fff">Abschussmeldung</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="_form" fxLayout="column" fxLayoutAlign="center stretch"
                                          fxFlex.xl="100"
                                          fxFlex.gt-lg="100"
                                          fxFlex.gt-md="100"
                                          fxFlex.gt-sm="100"
                                          fxFlex.gt-xs="100"
                                          style="margin-left: 8px; margin-right: 8px; margin-top: 8px;">
    <mat-form-field>
      <input formControlName="date" (click)="picker.open()" matInput [matDatepicker]="picker" placeholder="Datum der Erlegung*">
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker touchUi #picker></mat-datepicker>
    </mat-form-field>
    <mat-form-field>
      <mat-select formControlName="name" placeholder="Erleger*">
        <mat-option *ngFor="let member of _members" [value]="member.name">
          {{member.name}}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field>
      <mat-select formControlName="type" placeholder="Wildart*">
        <mat-option *ngFor="let type of _types" [value]="type">
          {{type}}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field *ngIf="getClassificationsForType(_form.get('type').value).length > 0">
      <mat-select formControlName="classification" placeholder="Klassifizierung*">
          <mat-option *ngFor="let c of getClassificationsForType(_form.get('type').value)" [value]="c">
            {{c}}
          </mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field>
      <input formControlName="location" matInput maxlength="20" placeholder="Erlegungsort*">
    </mat-form-field>
    <mat-form-field>
      <mat-select formControlName="age" placeholder="geschätztes Alter*">
          <mat-option value="1">1</mat-option>
          <mat-option value="2">2</mat-option>
          <mat-option value="3">3</mat-option>
          <mat-option value="4">4</mat-option>
          <mat-option value="5">5</mat-option>
          <mat-option value="6">6</mat-option>
          <mat-option value="7">7</mat-option>
          <mat-option value="8">8</mat-option>
          <mat-option value="9">9</mat-option>
          <mat-option value="10">10</mat-option>
          <mat-option value="11">11</mat-option>
          <mat-option value="12">12</mat-option>
          <mat-option value="13">13</mat-option>
          <mat-option value="14">14</mat-option>
          <mat-option value="15">15</mat-option>
          <mat-option value="16">16</mat-option>
          <mat-option value="17">17</mat-option>
          <mat-option value="18">18</mat-option>
          <mat-option value="19">19</mat-option>
          <mat-option value="20">20</mat-option>
          <mat-option value="> 20">> 20</mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field>
      <input formControlName="weight" matInput type="number" placeholder="Gewicht (kg)*">
    </mat-form-field>
    <mat-form-field>
      <input formControlName="basePrice" matInput placeholder="Preis (€/kg)">
    </mat-form-field>
    <mat-form-field>
      <input formControlName="price" matInput placeholder="Betrag (€)">
    </mat-form-field>
    <mat-form-field>
      <mat-select formControlName="usage" placeholder="Art der Verwendung*">
        <mat-option [value]="'Selbstbehalt'">Selbstbehalt</mat-option>
        <mat-option [value]="'Grosshandel'">Grosshandel</mat-option>
        <mat-option [value]="'Weitergabe intern'">Weitergabe intern</mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field *ngIf="_form.get('usage').value === 'Weitergabe intern'">
      <mat-select formControlName="transferMember" placeholder="Weitergabe an*">
          <mat-option *ngFor="let tf of _transferMembers" [value]="tf.name">
            {{tf.name}}
          </mat-option>
      </mat-select>
    </mat-form-field>
  </form>
</ion-content>

<ion-footer>
  <ion-toolbar color="primary">
    <ion-button fill="clear" expand="full" color="light" [disabled]="!_form.valid" (click)="doPostData()">Abschuss melden</ion-button>
  </ion-toolbar>
</ion-footer>
